---
TypeIdMap:
  allones7:
    TTRes:
      Kind: AllOnes
      SizeM1BitWidth: 7
      AlignLog2: 1
      SizeM1: 42
  allones32:
    TTRes:
      Kind: AllOnes
      SizeM1BitWidth: 32
      AlignLog2: 2
      SizeM1: 12345
  bytearray7:
    TTRes:
      Kind: ByteArray
      SizeM1BitWidth: 7
      AlignLog2: 3
      SizeM1: 43
      BitMask: 64
  bytearray32:
    TTRes:
      Kind: ByteArray
      SizeM1BitWidth: 32
      AlignLog2: 4
      SizeM1: 12346
      BitMask: 128
  inline5:
    TTRes:
      Kind: Inline
      SizeM1BitWidth: 5
      AlignLog2: 5
      SizeM1: 31
      InlineBits: 123
  inline6:
    TTRes:
      Kind: Inline
      SizeM1BitWidth: 6
      AlignLog2: 6
      SizeM1: 63
      InlineBits: 1000000000000
  single:
    TTRes:
      Kind: Single
      SizeM1BitWidth: 0
...
